Name:           python-redisbench-admin
Version:        0.11.39
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Redis benchmark run helper. A wrapper around Redis and Redis Modules benchmark tools ( ftsb_redisearch, memtier_benchmark, redis-benchmark, aibench, etc... ).

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            ...
Source:         %{pypi_source redisbench_admin}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'redisbench-admin' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-redisbench-admin
Summary:        %{summary}

%description -n python3-redisbench-admin %_description


%prep
%autosetup -p1 -n redisbench_admin-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-redisbench-admin -f %{pyproject_files}


%changelog
%autochangelog